Subject: bug#38992: 27.0.60; when enabled, fido-mode seems to break vc-git-grep

From: João Távora <[email-masked]>
Date: Thu, 23 Jan 2020 16:51:31 +0000

On Thu, Jan 23, 2020 at 4:28 PM Stefan Monnier <[email-masked]>
wrote:
>
> >> Good point: `minibuffer-force-complete-and-exit` probably needs to be
> >> changed accordingly (i.e. to just `exit-minibuffer` when `required`
> >> was nil).
> > How will it determine that? minibuffer-completion-confirm seems to be
the
> > same whether require-match is t or not.
>
> We could introduce a new `minibuffer-require-match` variable (and mark
> `minibuffer-completion-confirm` obsolete).

+1. Not particularly pretty, but it would you join the ranks of many
other `minibuffer-*` special variables that hold these kinds of things.

--
João Távora